Bug 621964 - (CVE-2010-2809) CVE-2010-2809 uzbl: malicious code execution via unsanitized @SELECTED_URI
CVE-2010-2809 uzbl: malicious code execution via unsanitized @SELECTED_URI
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 621965
  Show dependency treegraph
Reported: 2010-08-06 12:09 EDT by Vincent Danen
Modified: 2015-08-19 04:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-26 17:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-06 12:09:18 EDT
Quoting the upstream news advisory [1]:

"The 2010.08.05 release comes with a patched config file.  With shell code
in hyperlinks on a page, one of the sample (uzbl-core) resp.  default
(uzbl-browser) button bindings (binding for mousebutton2) would execute
this code.

Note that just upgrading your uzbl is not enough. If you have an existing
config, the change will not be automatically applied.  So be sure you have
this change in your config."

And an associated bug report [2] exists as well.  There is no patch noted in the bug report.

This would affect all versions of Fedora.

[1] http://www.uzbl.org/news.php?id=29
[2] http://www.uzbl.org/bugs/index.php?do=details&task_id=240
Comment 1 Vincent Danen 2010-08-06 12:10:01 EDT
Created uzbl tracking bugs for this issue

Affects: fedora-all [bug 621965]
Comment 2 Vincent Danen 2010-08-09 12:35:30 EDT
This was assigned CVE-2010-2809.

Note You need to log in before you can comment on or make changes to this bug.